Loading...
Searching...
No Matches
AVCUDADeviceContext Struct Reference

This struct is allocated as AVHWDeviceContext.hwctx. More...

`#include <libavutil/hwcontext_cuda.h>`

## Data Fields

CUcontext | cuda_ctx
CUstream | stream
AVCUDADeviceContextInternal * | internal

## Detailed Description

This struct is allocated as AVHWDeviceContext.hwctx.

Definition at line 42 of file hwcontext_cuda.h.

## Field Documentation

## cuda_ctx

CUcontext AVCUDADeviceContext::cuda_ctx

Definition at line 43 of file hwcontext_cuda.h.

## stream

CUstream AVCUDADeviceContext::stream

Definition at line 44 of file hwcontext_cuda.h.

## internal

AVCUDADeviceContextInternal* AVCUDADeviceContext::internal

Definition at line 45 of file hwcontext_cuda.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_cuda.h